--[[ 
TO-DO	- Fixed width font? Eliminate horizontal jitter.
		- ?
v1.03	Updated the TOC for v5.1.
v1.02	Updated the TOC for v5.04.
v1.01	Removed README.txt mistakenly added to the package.
v1.0	For public consumption.
 ]]

 --define global vars and defaults (saved between sessions)

 --define non-persistant locals

 
 local function print(msg)
	DEFAULT_CHAT_FRAME:AddMessage("KSpeedO: " .. tostring(msg))
end

function KSpeedO_OnMouseDown()
	local ButtonName = GetMouseButtonClicked()
	if IsShiftKeyDown() and ButtonName == "LeftButton" then
		KSpeedOFrame:StartMoving()
	elseif IsShiftKeyDown() and ButtonName == "RightButton" then
		local UIParentWidth = UIParent:GetWidth()
		local UIParentHeight = UIParent:GetHeight()
		KSpeedOFrame:ClearAllPoints()
		KSpeedOFrame:SetPoint("BOTTOM", "PlayerFrame", "TOP", 10, -10)
	end
	GameTooltip:Hide()
end

function KSpeedO_OnMouseUp()
	KSpeedOFrame:StopMovingOrSizing()
end

function KSpeedO_OnLoad()
    KSpeedOFrame:RegisterEvent("ADDON_LOADED")
	KSpeedOFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
	KSpeedOFrame:RegisterEvent("ZONE_CHANGED")
	KSpeedOFrame:RegisterEvent("ZONE_CHANGED_NEW_AREA")
	KSpeedOFrame:RegisterEvent("ZONE_CHANGED_INDOORS")
	print("loaded.")
end

function KSpeedO_OnEvent(event)
	-- print(event)
end

function KSpeedO_OnUpdate()
	local PositionX, PositionY = GetPlayerMapPosition("player")
	local TrueSpeed = floor(((GetUnitSpeed("Player") / 7) * 100) + .5)
	local GroundSpeed = floor((((GetUnitSpeed("Player") / 7) * 100) * math.cos(GetUnitPitch("Player"))) + .5)
	if not (IsFlying() or IsSwimming()) then 
		GroundSpeed = TrueSpeed
	end
	KSpeedOText:SetText(format("X: %.2f Y: %.2f - GS: %d%%, TS: %d%%", PositionX * 100, PositionY * 100, GroundSpeed, TrueSpeed))
end